package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 网络与主机之间的关系表
 * 
 * @author weiwei
 * @since 2017.4.20
 *
 */
@Table("network_host")
public class NetworkHost extends Generic {
	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("network_id")
	private Long networkId;
	@Column("vhost_id")
	private Long vhostId;
	@Column("vendor_id")
	private Long vendorId;
	@Column("category")
	private String category;

	/**
	 * @return the vendorId
	 */
	public Long getVendorId() {
		return vendorId;
	}

	/**
	 * @param vendorId
	 *            the vendorId to set
	 */
	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the networkId
	 */
	public Long getNetworkId() {
		return networkId;
	}

	/**
	 * @param networkId
	 *            the networkId to set
	 */
	public void setNetworkId(Long networkId) {
		this.networkId = networkId;
	}

	/**
	 * @return the vhostId
	 */
	public Long getVhostId() {
		return vhostId;
	}

	/**
	 * @param vhostId
	 *            the vhostId to set
	 */
	public void setVhostId(Long vhostId) {
		this.vhostId = vhostId;
	}

	/**
	 * @return the category
	 */
	public String getCategory() {
		return category;
	}

	/**
	 * @param category
	 *            the category to set
	 */
	public void setCategory(String category) {
		this.category = category;
	}

	public NetworkHost(Long networkId, Long vhostId, Long vendorId, String category) {
		super();
		this.networkId = networkId;
		this.vhostId = vhostId;
		this.vendorId = vendorId;
		this.category = category;
	}

	/**
	 * 
	 */
	public NetworkHost() {
		super();
	}
}
